ScotlandPHP

需求

如果你有 GD 库(可从 » http://www.libgd.org/ 获得), 你就可以创建 和处理图像。

可以处理的图像格式由你所使用的 GD 库版本 以及 GD 库可能需要的其他库决定。 在 gd-2.0.28 中,提供了对 GIF 格式的支持。

Note: PHP 5.0 要求 libgd-2.0.4 或更高版本, PHP 5.5 要求 libgd-2.1.0 或更高版本。 你也可以使用 PHP 中绑定的 GD 库。

你可能希望增强 GD 库以处理更多的图像格式。

支持的图像格式
图像格式 需要下载的库 备注
gif   仅在 gd-2.0.28 及更高版本的 GD 库提供支持, 从 PHP 5.0.1 开始支持 写入 操作。
jpeg » http://www.ijg.org/ 在构建 PHP 之前, 需要在配置步骤使用 --enable-shared 选项来构建 jpeg 库。 如果不使用此选项,那么在构建 PHP 时的配置环节, 会产生 libjpeg.(a|so) not found 的错误。
png » http://www.libpng.org/pub/png/libpng.html
xpm » ftp://metalab.unc.edu/pub/Linux/libs/X/!INDEX.html 如果你的系统中已经安装了 X 环境, 就已经包含这个库了。

你可能希望增强 GD 库来使用不同的字体。 下列字体库是受支持的:

支持的字体库
字体库 下载 备注
FreeType 1.x » http://www.freetype.org/ 从 PHP 5.3.0 开始,不再提供对 FreeType 1.x 的支持。
FreeType 2 » http://www.freetype.org/  
T1lib » ftp://sunsite.unc.edu/pub/Linux/libs/graphics/) 支持 Postscript Type 1 字体(在 PHP 7.0.0 中移除)。

add a note add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top